Page MenuHomePhabricator

Engineering Community quarterly goals for April-June 2015
Closed, ResolvedPublic

Description

Next: T101100: Engineering Community quarterly goals for July-September 2015

Main goal

ObjectiveImpact on goalDependencyETAStatus
T93584: Goal: Most welcoming and productive Wikimedia Hackathon(WIP, see T88521) 8 hackathon projects showcased, 2 of them worth supporting further; 10% of participants are new volunteers; 100% of newcomers have a buddyWikimedia France: local organization, promotion, travel sponsorshipsMay 2015In progress

Other goals

ObjectiveImpact on goalDependencyETAStatus
T94166: Goal: Successful start of all GSoC / Outreachy projectsAll interns have completed the bonding period and received their first payment.NoneECT-May-2015In progress
T94578: Most basic Tech Community metrics are published and up to dateBasic community metrics agreed on, implemented, and being publically available by the end of the quarter.Bitergia to implement them in korma/Grimoire (currently non-existing Phabricator backend excluded, but we have that data via SQL queries)June 2015In progress
T97283: Plan to focus on the Developer audienceHave a plan agreed and ready to startWikimedia Foundation managementJune 2015In progress

Related Objects

StatusAssignedTask
ResolvedQgil
ResolvedKeegan
DeclinedNone
ResolvedQgil
ResolvedQgil
ResolvedQgil
ResolvedRfarrand
ResolvedAlexCella
ResolvedAlexCella
ResolvedAlexCella
ResolvedRfarrand
ResolvedSylvain_WMFr
ResolvedSylvain_WMFr
ResolvedAlexCella
ResolvedQgil
ResolvedOmar_sansi
ResolvedQgil
Resolved yuvipanda
Resolvedcoren
Resolvedgreg
Resolved GWicke
Resolved GWicke
Resolvedmobrovac
ResolvedRfarrand
ResolvedQgil
ResolvedQgil
ResolvedSylvain_WMFr
ResolvedRfarrand
ResolvedRfarrand
ResolvedQgil
ResolvedQgil
ResolvedQgil
ResolvedQgil
ResolvedRfarrand
ResolvedJeanPhilippe_WMFr
ResolvedNiharika
ResolvedNiharika
ResolvedQgil
DeclinedQgil
DeclinedQgil
DeclinedQgil
DeclinedDrbug
DeclinedAlexCella
ResolvedDeskana
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
ResolvedQgil
DeclinedTgr
ResolvedNiharika
ResolvedNiharika
ResolvedQgil
ResolvedNiharika
Resolved01tonythomas
DuplicateTinaj1234
ResolvedMooeypoo
Resolved yuvipanda
ResolvedNikerabbit
ResolvedNemo_bis
ResolvedDicortazar
Resolved Jdlrobson
Resolvedjayvdb
ResolvedNone
Resolvedjayvdb
ResolvedNone
Resolvedhappy5214
ResolvedAmire80
ResolvedAnkita-ks
ResolvedYaron_Koren
ResolvedAklapper
ResolvedDicortazar
ResolvedDicortazar
ResolvedAcs
ResolvedDicortazar
InvalidDicortazar
ResolvedDicortazar
ResolvedDicortazar
ResolvedDicortazar
ResolvedQgil
OpenNone
ResolvedTgr
OpenTgr
ResolvedArielGlenn
Resolvedbd808
ResolvedNone
ResolvedDzahn
Resolvedbd808
ResolvedJoe
ResolvedJoe
ResolvedJoe
ResolvedJAllemandou
ResolvedOttomata
Resolvedbd808
Resolvedbd808
OpenNone
OpenNone
Resolvedbd808
StalledEvanProdromou
OpenNone

Event Timeline

Qgil created this task.Mar 24 2015, 4:48 PM
Qgil updated the task description. (Show Details)
Qgil raised the priority of this task from to Normal.
Qgil added a subscriber: Qgil.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 24 2015, 4:48 PM
Qgil updated the task description. (Show Details)Mar 24 2015, 5:00 PM
Qgil set Security to None.
Qgil renamed this task from WIP: Engineering Community quarterly goals for April-June 2015 to Engineering Community quarterly goals for April-June 2015.Mar 24 2015, 5:38 PM
Qgil updated the task description. (Show Details)

This table we are using comes from Team Practices -- see https://www.mediawiki.org/wiki/Wikimedia_Engineering/OKR

Qgil updated the task description. (Show Details)Mar 25 2015, 2:08 PM
Qgil updated the task description. (Show Details)Mar 27 2015, 1:31 PM
Qgil updated the task description. (Show Details)Mar 27 2015, 1:38 PM
Qgil updated the task description. (Show Details)Mar 27 2015, 1:54 PM
Qgil assigned this task to Aklapper.
Qgil added subscribers: mmodell, chasemp.
Qgil removed subscribers: chasemp, mmodell.

My objectives are now proposed in the description. Passing the ball to @Aklapper. You can pass it to someone else when you are done, and the last one can pass it back to me when the draft plan is complete.

Aklapper updated the task description. (Show Details)Apr 7 2015, 4:15 PM
Aklapper added subscribers: mmodell, chasemp.
Aklapper updated the task description. (Show Details)Apr 7 2015, 4:20 PM
Aklapper updated the task description. (Show Details)Apr 7 2015, 4:23 PM
Aklapper reassigned this task from Aklapper to Spage.Apr 7 2015, 6:12 PM
Aklapper added subscribers: Rfarrand, Spage.

Passing the ball to @Aklapper. You can pass it to someone else when you are done

I think I'm done; passing to @Spage who can pass to @Rfarrand who can pass to @Qgil.

Spage updated the task description. (Show Details)Apr 11 2015, 4:10 AM
Spage added subscribers: mmodell, chasemp.
Spage reassigned this task from Spage to Rfarrand.Apr 11 2015, 8:22 AM

Quim, feel free to disagree with my goals :)

Qgil added a subscriber: RobLa.EditedApr 11 2015, 6:24 PM

I had an interesting conversation with @RobLa about these objectives and about defining objectives in general. He says that in general we need to have shorter lists of objectives at a team level, in order to decrease / focus the list of WMF objectives. He used/improvised an interesting way to know when a task should should or should not be marked as objective: would you be absolutely embarrassed if that objective would not be completed by the end of the quarter?

I actually like this definition a lot. The current list is full of interesting / important / urgent tasks, but it is true that failing in some would be more embarrassing than failing in others.

Please think about this, and let's aim to stamp a team approval on this list by our team meeting next Tuesday.

PS: and just to be clear, we will always work on more tasks than the ones defined by our objectives, but we can track those through task priorities and monthly sprints. What is clear is that we should not fail embarrassingly with our official objectives because at the end we got busier with the not-so-important tasks that we could have postponed a bit without embarrassment.

Aklapper updated the task description. (Show Details)Apr 13 2015, 1:32 PM

As per last comment I removed the "Gerrit cleanup" item because I would not feel embarrassed enough.

Rfarrand updated the task description. (Show Details)Apr 13 2015, 8:55 PM
Qgil updated the task description. (Show Details)Apr 13 2015, 9:09 PM
Qgil updated the task description. (Show Details)Apr 14 2015, 11:02 AM
Qgil updated the task description. (Show Details)
Qgil added a comment.Apr 14 2015, 11:06 AM

The impact of goal (was key results) should define "How will success be measured - Quantitative measures
SMART." A measurable outcome.

T93584 and T94166 have measurable outcomes defined. The other three goals... not so much, or maybe I'm not seeing them. @Spage, @Aklapper, let's discuss and agree how are we going to measure success, latest by the end of our team meeting today.

Qgil claimed this task.Apr 14 2015, 11:06 AM
Qgil updated the task description. (Show Details)Apr 14 2015, 12:01 PM
Qgil added a comment.Apr 14 2015, 12:05 PM

About Dependency, what is expected is "Department - Dependency Description - Quantitative where possible". These are external dependencies, people out of ECT. Please be concise, you can always expand on details in the related task.

Aklapper updated the task description. (Show Details)Apr 14 2015, 4:07 PM

I edited my two items (external deps) but I have a hard time to come up with quantitative measures for a task that is basically about creating quantitative measures.

Aklapper updated the task description. (Show Details)Apr 14 2015, 4:30 PM
Aklapper removed subscribers: chasemp, mmodell.
Qgil updated the task description. (Show Details)Apr 14 2015, 4:33 PM
Aklapper updated the task description. (Show Details)Apr 14 2015, 4:36 PM
Qgil moved this task from Backlog to Doing on the ECT-April-2015 board.Apr 15 2015, 9:28 PM
Qgil updated the task description. (Show Details)Apr 16 2015, 9:29 AM
Qgil added a comment.Apr 22 2015, 9:42 AM

After the reorganization announced yesterday, we need to look again to these goals. Many things are still in flux, so I will not rush to change these goals, but let's see:

  • T93584: the hackathon driven by @Rfarrand is still the main goal and absolutely nothing changes there.
  • T307: dev.wikimedia.org is now up in the air, both because @Spage is now in another team (still discussing his current role) and also because the priority of this project needs to be reassessed. Unless something changes in the next weeks, we will drop this goal for this quarter.
  • T87470: a new Architecture team has been created as part of a new CTO department, which is a reason good enough to deduce that little ECT does not need to own this task anymore. I propose to remove this task from the goals now.
  • T94166: GSoC and Outreachy are not affected at all by this reorg, and @NiharikaKohli in her role as volunteer org admin stays also the same.
  • T94578: Lila told us explicitly that we need to deliver these metrics in future quarterly reviews, and even if @Aklapper is today in another team, his role and duties haven't changed a bit. I propose to keep the goal and owner untouched.
  • T96013: I'm happy to work on this but first I want to check with Kourosh Karimkhany (new VP of Strategic Partnerships) if / how this goal fits in their goals. Leaving it here for now.

Please confirm or propose better ideas.

Qgil added a comment.Apr 22 2015, 9:44 AM

I edited my two items (external deps) but I have a hard time to come up with quantitative measures for a task that is basically about creating quantitative measures.

"Metrics agreed implemented and published by the end of the quarter."?

Aklapper updated the task description. (Show Details)Apr 22 2015, 12:34 PM
Qgil updated the task description. (Show Details)Apr 23 2015, 1:26 PM
Qgil added a comment.Apr 23 2015, 1:29 PM
  • T307: dev.wikimedia.org is now up in the air, both because @Spage is now in another team (still discussing his current role) and also because the priority of this project needs to be reassessed. Unless something changes in the next weeks, we will drop this goal for this quarter.

In fact, I just removed it as a goal. The tasks are still open and associated to the current sprint, but we cannot sanely commit for this goal in this qarter when right now we don't even know whether S will have any time to work on this. Let's continue discussing Web-APIs-Hub in the context of sprint planning and the main tasks.

  • T87470: a new Architecture team has been created as part of a new CTO department, which is a reason good enough to deduce that little ECT does not need to own this task anymore. I propose to remove this task from the goals now.

Done.

Qgil updated the task description. (Show Details)Apr 23 2015, 1:33 PM
Qgil updated the task description. (Show Details)Apr 29 2015, 1:59 PM
Qgil updated the task description. (Show Details)Apr 29 2015, 3:19 PM
Qgil lowered the priority of this task from Normal to Low.

I have removed T96013: Identify Wikimedia's top technical partners (reasoning: T96013#1245410) and I have added its blocker, T97283: Plan to focus on the Developer audience.

With this, I believe we have settled our plan for the current quarter.

Aklapper updated the task description. (Show Details)Jun 2 2015, 4:16 PM
Qgil updated the task description. (Show Details)Jun 3 2015, 7:15 AM
Aklapper updated the task description. (Show Details)Jun 26 2015, 12:15 AM
Qgil moved this task from Backlog to Doing on the ECT-June-2015 board.Jun 27 2015, 6:59 PM
Qgil closed this task as Resolved.Jun 30 2015, 4:09 PM

Yay!